diff --git a/hub/kojihub.py b/hub/kojihub.py
index 14a5338..7e1ff7c 100644
--- a/hub/kojihub.py
+++ b/hub/kojihub.py
@@ -5737,7 +5737,7 @@ def get_archive_type(filename=None, type_name=None, type_id=None, strict=False):
         # we handle that below
         pass
     else:
-        raise koji.GenericError, 'one of filename, type_name, or type_id must be specified'
+        raise koji.GenericError('one of filename, type_name, or type_id must be specified')
 
     parts = filename.split('.')
 
@@ -5752,10 +5752,10 @@ def get_archive_type(filename=None, type_name=None, type_id=None, strict=False):
             return results[0]
         elif len(results) > 1:
             # this should never happen, and is a misconfiguration in the database
-            raise koji.GenericError, 'multiple matches for file extension: %s' % ext
+            raise koji.GenericError('multiple matches for file extension: %s' % ext)
     #otherwise
     if strict:
-        raise koji.GenericError, 'unsupported file extension: %s' % ext
+        raise koji.GenericError('unsupported file extension: %s' % ext)
     else:
         return None
 
@@ -5772,8 +5772,8 @@ def new_maven_build(build, maven_info):
         # already exists, verify that it matches
         for field in ('group_id', 'artifact_id', 'version'):
             if current_maven_info[field] != maven_info[field]:
-                raise koji.BuildError, '%s mismatch (current: %s, new: %s)' % \
-                    (field, current_maven_info[field], maven_info[field])
+                raise koji.BuildError('%s mismatch (current: %s, new: %s)' % \
+                    (field, current_maven_info[field], maven_info[field]))
     else:
         maven_info['build_id'] = build['id']
         data = dslice(maven_info, ['build_id', 'group_id', 'artifact_id', 'version'])
@@ -5853,7 +5853,7 @@ def old_image_data(old_image_id):
     ret = query.executeOne()
 
     if not ret:
-        raise koji.GenericError, 'no old image with ID: %i' % old_image_id
+        raise koji.GenericError('no old image with ID: %i' % old_image_id)
     return ret
 
 def check_old_image_files(old):
@@ -5868,15 +5868,15 @@ def check_old_image_files(old):
     img_dir = os.path.join(*parts)
     img_path = os.path.join(img_dir, old['filename'])
     if not os.path.exists(img_path):
-        raise koji.GenericError, "Image file is missing: %s" % img_path
+        raise koji.GenericError("Image file is missing: %s" % img_path)
     if os.path.islink(img_path):
-        raise koji.GenericError, "Image file is a symlink: %s" % img_path
+        raise koji.GenericError("Image file is a symlink: %s" % img_path)
     if not os.path.isfile(img_path):
-        raise koji.GenericError, "Not a regular file: %s" % img_path
+        raise koji.GenericError("Not a regular file: %s" % img_path)
     img_size = os.path.getsize(img_path)
     if img_size != old['filesize']:
-        raise koji.GenericError, "Size mismatch for %s (%i != %i)" % \
-                    (img_path, img_size, old['filesize'])
+        raise koji.GenericError("Size mismatch for %s (%i != %i)" % \
+                    (img_path, img_size, old['filesize']))
     # old images always used sha256 hashes
     sha256sum = hashlib.sha256()
     image_fo = file(img_path, 'r')
@@ -5887,8 +5887,8 @@ def check_old_image_files(old):
             break
     img_hash = sha256sum.hexdigest()
     if img_hash != old['hash']:
-        raise koji.GenericError, "Hash mismatch for %s (%i != %i)" % \
-                    (img_path, img_hash, old['hash'])
+        raise koji.GenericError("Hash mismatch for %s (%i != %i)" % \
+                    (img_path, img_hash, old['hash']))
     # file looks ok
     old['path'] = img_path
     old['dir'] = img_dir
@@ -5907,7 +5907,7 @@ def check_old_image_files(old):
         else:
             extra.append(out_file)
     if extra:
-        raise koji.GenericError, "Unexpected files under %s: %r" % (img_dir, extra)
+        raise koji.GenericError("Unexpected files under %s: %r" % (img_dir, extra))
 
 
 def import_old_image(old, name, version):
@@ -5946,7 +5946,7 @@ def import_old_image(old, name, version):
         archivetype = get_archive_type(filename=fn)
         logger.debug('image type we are migrating is: %s' % archivetype)
         if not archivetype:
-            raise koji.BuildError, 'Unsupported image type'
+            raise koji.BuildError('Unsupported image type')
         imgdata = dict(arch=old['arch'])
         archives.append(import_archive(fullpath, binfo, 'image', imgdata, buildroot_id=br_id))
 
@@ -6012,7 +6012,7 @@ def import_archive_internal(filepath, buildinfo, type, typeInfo, buildroot_id=No
     if metadata_only:
         filepath = None
     elif not os.path.exists(filepath):
-        raise koji.GenericError, 'no such file: %s' % filepath
+        raise koji.GenericError('no such file: %s' % filepath)
 
     archiveinfo = {'buildroot_id': buildroot_id}
     archiveinfo['build_id'] = buildinfo['id']
@@ -6057,7 +6057,7 @@ def import_archive_internal(filepath, buildinfo, type, typeInfo, buildroot_id=No
     archiveinfo['type_id'] = archivetype['id']
     btype = lookup_name('btype', type, strict=False)
     if btype is None:
-        raise koji.BuildError, 'unsupported archive type: %s' % type
+        raise koji.BuildError('unsupported archive type: %s' % type)
     archiveinfo['btype_id'] = btype['id']
 
     # cg extra data
@@ -6082,12 +6082,12 @@ def import_archive_internal(filepath, buildinfo, type, typeInfo, buildroot_id=No
             pom_maveninfo = koji.pom_to_maven_info(pom_info)
             # sanity check: Maven info from pom must match the user-supplied typeInfo
             if koji.mavenLabel(pom_maveninfo) != koji.mavenLabel(typeInfo):
-                raise koji.BuildError, 'Maven info from .pom file (%s) does not match user-supplied typeInfo (%s)' % \
-                    (koji.mavenLabel(pom_maveninfo), koji.mavenLabel(typeInfo))
+                raise koji.BuildError('Maven info from .pom file (%s) does not match user-supplied typeInfo (%s)' % \
+                    (koji.mavenLabel(pom_maveninfo), koji.mavenLabel(typeInfo)))
             # sanity check: the filename of the pom file must match <artifactId>-<version>.pom
             if filename != '%(artifact_id)s-%(version)s.pom' % typeInfo:
-                raise koji.BuildError, 'Maven info (%s) is not consistent with pom filename (%s)' % \
-                      (koji.mavenLabel(typeInfo), filename)
+                raise koji.BuildError('Maven info (%s) is not consistent with pom filename (%s)' % \
+                      (koji.mavenLabel(typeInfo), filename))
 
         insert = InsertProcessor('maven_archives', data=dslice(typeInfo, ('group_id', 'artifact_id', 'version')))
         insert.set(archive_id=archive_id)
@@ -6107,7 +6107,7 @@ def import_archive_internal(filepath, buildinfo, type, typeInfo, buildroot_id=No
         relpath = typeInfo['relpath'].strip('/')
         insert.set(relpath=relpath)
         if not typeInfo['platforms']:
-            raise koji.BuildError, 'no value for platforms'
+            raise koji.BuildError('no value for platforms')
         insert.set(platforms=' '.join(typeInfo['platforms']))
         if typeInfo['flags']:
             insert.set(flags=' '.join(typeInfo['flags']))
@@ -6187,12 +6187,12 @@ def add_rpm_sig(an_rpm, sighdr):
     #calling function should perform permission checks, if applicable
     rinfo = get_rpm(an_rpm, strict=True)
     if rinfo['external_repo_id']:
-        raise koji.GenericError, "Not an internal rpm: %s (from %s)" \
-                % (an_rpm, rinfo['external_repo_name'])
+        raise koji.GenericError("Not an internal rpm: %s (from %s)" \
+                % (an_rpm, rinfo['external_repo_name']))
     binfo = get_build(rinfo['build_id'])
     builddir = koji.pathinfo.build(binfo)
     if not os.path.isdir(builddir):
-        raise koji.GenericError, "No such directory: %s" % builddir
+        raise koji.GenericError("No such directory: %s" % builddir)
     rawhdr = koji.RawHeader(sighdr)
     sigmd5 = koji.hex_string(rawhdr.get(koji.RPM_SIGTAG_MD5))
     if sigmd5 == rinfo['payloadhash']:
@@ -6212,7 +6212,7 @@ def add_rpm_sig(an_rpm, sighdr):
         sigmd5 = koji.hex_string(sigmd5)
         if sigmd5 != rinfo['payloadhash']:
             nvra = "%(name)s-%(version)s-%(release)s.%(arch)s" % rinfo
-            raise koji.GenericError, "wrong md5 for %s: %s" % (nvra, sigmd5)
+            raise koji.GenericError("wrong md5 for %s: %s" % (nvra, sigmd5))
     if not sigkey:
         sigkey = ''
         #we use the sigkey='' to represent unsigned in the db (so that uniqueness works)
@@ -6226,7 +6226,7 @@ def add_rpm_sig(an_rpm, sighdr):
     if rows:
         #TODO[?] - if sighash is the same, handle more gracefully
         nvra = "%(name)s-%(version)s-%(release)s.%(arch)s" % rinfo
-        raise koji.GenericError, "Signature already exists for package %s, key %s" % (nvra, sigkey)
+        raise koji.GenericError("Signature already exists for package %s, key %s" % (nvra, sigkey))
     koji.plugin.run_callbacks('preRPMSign', sigkey=sigkey, sighash=sighash, build=binfo, rpm=rinfo)
     insert = """INSERT INTO rpmsigs(rpm_id, sigkey, sighash)
     VALUES (%(rpm_id)s, %(sigkey)s, %(sighash)s)"""
@@ -6243,9 +6243,9 @@ def _scan_sighdr(sighdr, fn):
     """Splices sighdr with other headers from fn and queries (no payload)"""
     # This is hackish, but it works
     if not os.path.exists(fn):
-        raise koji.GenericError, "No such path: %s" % fn
+        raise koji.GenericError("No such path: %s" % fn)
     if not os.path.isfile(fn):
-        raise koji.GenericError, "Not a regular file: %s" % fn
+        raise koji.GenericError("Not a regular file: %s" % fn)
     #XXX should probably add an option to splice_rpm_sighdr to handle this instead
     sig_start, sigsize = koji.find_rpm_sighdr(fn)
     hdr_start = sig_start + sigsize
@@ -6278,9 +6278,9 @@ def check_rpm_sig(an_rpm, sigkey, sighdr):
     builddir = koji.pathinfo.build(binfo)
     rpm_path = "%s/%s" % (builddir, koji.pathinfo.rpm(rinfo))
     if not os.path.exists(rpm_path):
-        raise koji.GenericError, "No such path: %s" % rpm_path
+        raise koji.GenericError("No such path: %s" % rpm_path)
     if not os.path.isfile(rpm_path):
-        raise koji.GenericError, "Not a regular file: %s" % rpm_path
+        raise koji.GenericError("Not a regular file: %s" % rpm_path)
     fd, temp = tempfile.mkstemp()
     os.close(fd)
     try:
@@ -6304,8 +6304,8 @@ def check_rpm_sig(an_rpm, sigkey, sighdr):
     else:
         found_key = koji.get_sigpacket_key_id(raw_key)
     if sigkey != found_key:
-        raise koji.GenericError, "Signature key mismatch: got %s, expected %s" \
-                              % (found_key, sigkey)
+        raise koji.GenericError("Signature key mismatch: got %s, expected %s" \
+                              % (found_key, sigkey))
     os.unlink(temp)
 
 
@@ -6325,22 +6325,22 @@ def write_signed_rpm(an_rpm, sigkey, force=False):
     """Write a signed copy of the rpm"""
     rinfo = get_rpm(an_rpm, strict=True)
     if rinfo['external_repo_id']:
-        raise koji.GenericError, "Not an internal rpm: %s (from %s)" \
-                % (an_rpm, rinfo['external_repo_name'])
+        raise koji.GenericError("Not an internal rpm: %s (from %s)" \
+                % (an_rpm, rinfo['external_repo_name']))
     binfo = get_build(rinfo['build_id'])
     nvra = "%(name)s-%(version)s-%(release)s.%(arch)s" % rinfo
     builddir = koji.pathinfo.build(binfo)
     rpm_path = "%s/%s" % (builddir, koji.pathinfo.rpm(rinfo))
     if not os.path.exists(rpm_path):
-        raise koji.GenericError, "No such path: %s" % rpm_path
+        raise koji.GenericError("No such path: %s" % rpm_path)
     if not os.path.isfile(rpm_path):
-        raise koji.GenericError, "Not a regular file: %s" % rpm_path
+        raise koji.GenericError("Not a regular file: %s" % rpm_path)
     #make sure we have it in the db
     rpm_id = rinfo['id']
     q = """SELECT sighash FROM rpmsigs WHERE rpm_id=%(rpm_id)i AND sigkey=%(sigkey)s"""
     row = _fetchSingle(q, locals())
     if not row:
-        raise koji.GenericError, "No cached signature for package %s, key %s" % (nvra, sigkey)
+        raise koji.GenericError("No cached signature for package %s, key %s" % (nvra, sigkey))
     (sighash,) = row
     signedpath = "%s/%s" % (builddir, koji.pathinfo.signed(rinfo, sigkey))
     if os.path.exists(signedpath):
@@ -6451,7 +6451,7 @@ def query_history(tables=None, **kwargs):
     else:
         for table in tables:
             if table not in table_fields:
-                raise koji.GenericError, "Unknown history table: %s" % table
+                raise koji.GenericError("Unknown history table: %s" % table)
     ret = {}
     for table in tables:
         fields = {}
@@ -6863,25 +6863,25 @@ def delete_build(build, strict=True, min_ref_age=604800):
     refs = build_references(binfo['id'], limit=10)
     if refs['tags']:
         if strict:
-            raise koji.GenericError, "Cannot delete build, tagged: %s" % refs['tags']
+            raise koji.GenericError("Cannot delete build, tagged: %s" % refs['tags'])
         return False
     if refs['rpms']:
         if strict:
-            raise koji.GenericError, "Cannot delete build, used in buildroots: %s" % refs['rpms']
+            raise koji.GenericError("Cannot delete build, used in buildroots: %s" % refs['rpms'])
         return False
     if refs['archives']:
         if strict:
-            raise koji.GenericError, "Cannot delete build, used in archive buildroots: %s" % refs['archives']
+            raise koji.GenericError("Cannot delete build, used in archive buildroots: %s" % refs['archives'])
         return False
     if refs['images']:
         if strict:
-            raise koji.GenericError, "Cannot delete build, used in images: %r" % refs['images']
+            raise koji.GenericError("Cannot delete build, used in images: %r" % refs['images'])
         return False
     if refs['last_used']:
         age = time.time() - refs['last_used']
         if age < min_ref_age:
             if strict:
-                raise koji.GenericError, "Cannot delete build, used in recent buildroot"
+                raise koji.GenericError("Cannot delete build, used in recent buildroot")
             return False
     #otherwise we can delete it
     _delete_build(binfo)
@@ -6927,11 +6927,11 @@ def _delete_build(binfo):
     for filedir in dirs_to_clear:
         rv = os.system(r"find '%s' -xdev \! -type d -print0 |xargs -0 rm -f" % filedir)
         if rv != 0:
-            raise koji.GenericError, 'file removal failed (code %r) for %s' % (rv, filedir)
+            raise koji.GenericError('file removal failed (code %r) for %s' % (rv, filedir))
         #and clear out the emptied dirs
         rv = os.system(r"find '%s' -xdev -depth -type d -print0 |xargs -0 rmdir" % filedir)
         if rv != 0:
-            raise koji.GenericError, 'directory removal failed (code %r) for %s' % (rv, filedir)
+            raise koji.GenericError('directory removal failed (code %r) for %s' % (rv, filedir))
     koji.plugin.run_callbacks('postBuildStateChange', attribute='state', old=binfo['state'], new=st_deleted, info=binfo)
 
 def reset_build(build):
@@ -7003,11 +7003,11 @@ def reset_build(build):
     for filedir in dirs_to_clear:
         rv = os.system(r"find '%s' -xdev \! -type d -print0 |xargs -0 rm -f" % filedir)
         if rv != 0:
-            raise koji.GenericError, 'file removal failed (code %r) for %s' % (rv, filedir)
+            raise koji.GenericError('file removal failed (code %r) for %s' % (rv, filedir))
         #and clear out the emptied dirs
         rv = os.system(r"find '%s' -xdev -depth -type d -print0 |xargs -0 rmdir" % filedir)
         if rv != 0:
-            raise koji.GenericError, 'directory removal failed (code %r) for %s' % (rv, filedir)
+            raise koji.GenericError('directory removal failed (code %r) for %s' % (rv, filedir))
     koji.plugin.run_callbacks('postBuildStateChange', attribute='state', old=binfo['state'], new=koji.BUILD_STATES['CANCELED'], info=binfo)
 
 def cancel_build(build_id, cancel_task=True):
@@ -7149,7 +7149,7 @@ def build_notification(task_id, build_id):
         dest_tag = target['dest_tag']
 
     if build['state'] == koji.BUILD_STATES['BUILDING']:
-        raise koji.GenericError, 'never send notifications for incomplete builds'
+        raise koji.GenericError('never send notifications for incomplete builds')
 
     web_url = context.opts.get('KojiWebURL', 'http://localhost/koji')
 
@@ -7169,7 +7169,7 @@ def new_group(name):
     """Add a user group to the database"""
     context.session.assertPerm('admin')
     if get_user(name):
-        raise koji.GenericError, 'user/group already exists: %s' % name
+        raise koji.GenericError('user/group already exists: %s' % name)
     return context.session.createUser(name, usertype=koji.USERTYPES['GROUP'])
 
 def add_group_member(group, user, strict=True):
@@ -7178,9 +7178,9 @@ def add_group_member(group, user, strict=True):
     group = get_user(group)
     user = get_user(user)
     if group['usertype'] != koji.USERTYPES['GROUP']:
-        raise koji.GenericError, "Not a group: %(name)s" % group
+        raise koji.GenericError("Not a group: %(name)s" % group)
     if user['usertype'] == koji.USERTYPES['GROUP']:
-        raise koji.GenericError, "Groups cannot be members of other groups"
+        raise koji.GenericError("Groups cannot be members of other groups")
     #check to see if user is already a member
     data = {'user_id' : user['id'], 'group_id' : group['id']}
     table = 'user_groups'
@@ -7192,7 +7192,7 @@ def add_group_member(group, user, strict=True):
     if row:
         if not strict:
             return
-        raise koji.GenericError, "User already in group"
+        raise koji.GenericError("User already in group")
     insert = InsertProcessor(table, data)
     insert.make_create()
     insert.execute()
@@ -7203,7 +7203,7 @@ def drop_group_member(group, user):
     user = get_user(user, strict=True)
     ginfo = get_user(group)
     if not ginfo or ginfo['usertype'] != koji.USERTYPES['GROUP']:
-        raise koji.GenericError, "No such group: %s" % group
+        raise koji.GenericError("No such group: %s" % group)
     data = {'user_id' : user['id'], 'group_id' : ginfo['id']}
     clauses = ["user_id = %(user_id)i", "group_id = %(group_id)i"]
     update = UpdateProcessor('user_groups', values=data, clauses=clauses)
@@ -7215,7 +7215,7 @@ def get_group_members(group):
     context.session.assertPerm('admin')
     group = get_user(group)
     if group['usertype'] != koji.USERTYPES['GROUP']:
-        raise koji.GenericError, "Not a group: %(name)s" % group
+        raise koji.GenericError("Not a group: %(name)s" % group)
     group_id = group['id']
     fields = ('id', 'name', 'usertype', 'krb_principal')
     q = """SELECT %s FROM user_groups
@@ -7226,7 +7226,7 @@ def get_group_members(group):
 def set_user_status(user, status):
     context.session.assertPerm('admin')
     if not koji.USER_STATUS.get(status):
-        raise koji.GenericError, 'invalid status: %s' % status
+        raise koji.GenericError('invalid status: %s' % status)
     if user['status'] == status:
         # nothing to do
         return
@@ -7235,7 +7235,7 @@ def set_user_status(user, status):
     rows = _dml(update, locals())
     # sanity check
     if rows == 0:
-        raise koji.GenericError, 'invalid user ID: %i' % user_id
+        raise koji.GenericError('invalid user ID: %i' % user_id)
 
 
 def grant_cg_access(user, cg, create=False):
@@ -7502,7 +7502,7 @@ class QueryProcessor(object):
         self.aliases = aliases
         if columns and aliases:
             if len(columns) != len(aliases):
-                raise StandardError, 'column and alias lists must be the same length'
+                raise StandardError('column and alias lists must be the same length')
             self.colsByAlias = dict(zip(aliases, columns))
         else:
             self.colsByAlias = {}
@@ -7608,7 +7608,7 @@ SELECT %(col_str)s
                 elif order in self.columns:
                     orderCol = order
                 else:
-                    raise StandardError, 'invalid order: ' + order
+                    raise StandardError('invalid order: ' + order)
                 order_exprs.append(orderCol + direction)
             return 'ORDER BY ' + ', '.join(order_exprs)
         else:
@@ -7766,20 +7766,20 @@ def policy_get_pkg(data):
             if isinstance(data['package'], basestring):
                 return {'id' : None, 'name' : data['package']}
             else:
-                raise koji.GenericError, "Invalid package: %s" % data['package']
+                raise koji.GenericError("Invalid package: %s" % data['package'])
         return pkginfo
     if data.has_key('build'):
         binfo = get_build(data['build'], strict=True)
         return {'id' : binfo['package_id'], 'name' : binfo['name']}
     #else
-    raise koji.GenericError, "policy requires package data"
+    raise koji.GenericError("policy requires package data")
 
 
 def policy_get_cgs(data):
     """Determine content generators from policy data"""
 
     if not data.has_key('build'):
-        raise koji.GenericError, "policy requires build data"
+        raise koji.GenericError("policy requires build data")
     binfo = get_build(data['build'], strict=True)
 
     # first get buildroots used
@@ -8132,10 +8132,10 @@ class PolicyTest(koji.policy.BaseSimpleTest):
         args = self.str.split()[1:]
         if self.depth != 0:
             #LOOP!
-            raise koji.GenericError, "encountered policy loop at %s" % self.str
+            raise koji.GenericError("encountered policy loop at %s" % self.str)
         ruleset = context.policy.get(args[0])
         if not ruleset:
-            raise koji.GenericError, "no such policy: %s" % args[0]
+            raise koji.GenericError("no such policy: %s" % args[0])
         self.depth += 1
         result = ruleset.apply(data)
         self.depth -= 1
@@ -8191,7 +8191,7 @@ def check_policy(name, data, default='deny', strict=False):
         err_str += ": %s" % reason
     if context.opts.get('KojiDebug') or context.opts.get('VerbosePolicy'):
         err_str += " [rule: %s]" % lastrule
-    raise koji.ActionNotAllowed, err_str
+    raise koji.ActionNotAllowed(err_str)
 
 def assert_policy(name, data, default='deny'):
     """Enforce the named policy
@@ -8260,7 +8260,7 @@ def importImageInternal(task_id, build_id, imgdata):
         archivetype = get_archive_type(imgfile)
         logger.debug('image type we are importing is: %s' % archivetype)
         if not archivetype:
-            raise koji.BuildError, 'Unsupported image type'
+            raise koji.BuildError('Unsupported image type')
         archives.append(import_archive(fullpath, build_info, 'image', imgdata))
 
     # upload logs
@@ -8316,7 +8316,7 @@ class RootExports(object):
     '''Contains functions that are made available via XMLRPC'''
 
     def buildFromCVS(self, url, tag):
-        raise koji.FunctionDeprecated
+        raise koji.FunctionDeprecated()
         #return make_task('buildFromCVS',[url, tag])
 
     def restartHosts(self, priority=5):
@@ -8338,7 +8338,7 @@ class RootExports(object):
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, 'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed('only admins may create high-priority tasks')
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if channel:
             taskOpts['channel'] = channel
@@ -8363,7 +8363,7 @@ class RootExports(object):
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, 'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed('only admins may create high-priority tasks')
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if channel:
             taskOpts['channel'] = channel
@@ -8383,14 +8383,14 @@ class RootExports(object):
         Returns the task ID
         """
         if not context.opts.get('EnableMaven'):
-            raise koji.GenericError, "Maven support not enabled"
+            raise koji.GenericError("Maven support not enabled")
         if not opts:
             opts = {}
         taskOpts = {}
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, 'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed('only admins may create high-priority tasks')
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if channel:
             taskOpts['channel'] = channel
@@ -8413,21 +8413,21 @@ class RootExports(object):
         returns the task ID
         """
         if not context.opts.get('EnableMaven'):
-            raise koji.GenericError, "Maven support not enabled"
+            raise koji.GenericError("Maven support not enabled")
 
         if not opts:
             opts = {}
 
         build = self.getBuild(build, strict=True)
         if list_rpms(build['id']) and not (opts.get('scratch') or opts.get('create_build')):
-            raise koji.PreBuildError, 'wrapper rpms for %s have already been built' % koji.buildLabel(build)
+            raise koji.PreBuildError('wrapper rpms for %s have already been built' % koji.buildLabel(build))
         build_target = self.getBuildTarget(target)
         if not build_target:
-            raise koji.PreBuildError, 'no such build target: %s' % target
+            raise koji.PreBuildError('no such build target: %s' % target)
         build_tag = self.getTag(build_target['build_tag'], strict=True)
         repo_info = self.getRepo(build_tag['id'])
         if not repo_info:
-            raise koji.PreBuildError, 'no repo for tag: %s' % build_tag['name']
+            raise koji.PreBuildError('no repo for tag: %s' % build_tag['name'])
         opts['repo_id'] = repo_info['id']
 
         taskOpts = {}
@@ -8450,12 +8450,12 @@ class RootExports(object):
         Returns the task ID
         """
         if not context.opts.get('EnableMaven'):
-            raise koji.GenericError, "Maven support not enabled"
+            raise koji.GenericError("Maven support not enabled")
         taskOpts = {}
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, 'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed('only admins may create high-priority tasks')
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if channel:
             taskOpts['channel'] = channel
@@ -8478,7 +8478,7 @@ class RootExports(object):
         Returns the task ID
         """
         if not context.opts.get('EnableWin'):
-            raise koji.GenericError, "Windows support not enabled"
+            raise koji.GenericError("Windows support not enabled")
         targ_info = self.getBuildTarget(target)
         policy_data = {'vm_name': vm,
                        'tag': targ_info['dest_tag']}
@@ -8489,7 +8489,7 @@ class RootExports(object):
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, 'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed('only admins may create high-priority tasks')
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if channel:
             taskOpts['channel'] = channel
@@ -8504,7 +8504,7 @@ class RootExports(object):
         """
 
         if img_type not in ('livecd', 'appliance', 'livemedia'):
-            raise koji.GenericError, 'Unrecognized image type: %s' % img_type
+            raise koji.GenericError('Unrecognized image type: %s' % img_type)
 
         context.session.assertPerm(img_type)
 
@@ -8516,8 +8516,8 @@ class RootExports(object):
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, \
-                               'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed(
+                               'only admins may create high-priority tasks')
 
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
 
@@ -8534,12 +8534,12 @@ class RootExports(object):
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, \
-                               'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed(
+                               'only admins may create high-priority tasks')
 
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if not opts.has_key('scratch') and not opts.has_key('indirection_template_url'):
-            raise koji.ActionNotAllowed, 'Non-scratch builds must provide url for the indirection template'
+            raise koji.ActionNotAllowed('Non-scratch builds must provide url for the indirection template')
 
         return make_task('indirectionimage', [opts], **taskOpts)
 
@@ -8554,12 +8554,12 @@ class RootExports(object):
         if priority:
             if priority < 0:
                 if not context.session.hasPerm('admin'):
-                    raise koji.ActionNotAllowed, \
-                               'only admins may create high-priority tasks'
+                    raise koji.ActionNotAllowed(
+                               'only admins may create high-priority tasks')
 
             taskOpts['priority'] = koji.PRIO_DEFAULT + priority
         if not opts.has_key('scratch') and not opts.has_key('ksurl'):
-            raise koji.ActionNotAllowed, 'Non-scratch builds must provide ksurl'
+            raise koji.ActionNotAllowed('Non-scratch builds must provide ksurl')
 
         return make_task('image', [name, version, arches, target, inst_tree, opts], **taskOpts)
 
@@ -8570,7 +8570,7 @@ class RootExports(object):
         """
         context.session.assertPerm('admin')
         if not context.opts.get('EnableImageMigration'):
-            raise koji.GenericError, 'Image migration not enabled'
+            raise koji.GenericError('Image migration not enabled')
         old = old_image_data(old_image_id)
         check_old_image_files(old)
         return import_old_image(old, name, version)
@@ -8580,11 +8580,11 @@ class RootExports(object):
 
     def fault(self):
         "debugging. raise an error"
-        raise Exception, "test exception"
+        raise Exception("test exception")
 
     def error(self):
         "debugging. raise an error"
-        raise koji.GenericError, "test error"
+        raise koji.GenericError("test error")
 
     def echo(self, *args):
         return args
@@ -8652,7 +8652,7 @@ class RootExports(object):
         q = """SELECT id, EXTRACT(EPOCH FROM time) FROM events"""
         if before is not None:
             if not isinstance(before, (int, long, float)):
-                raise koji.GenericError, 'invalid type for before: %s' % type(before)
+                raise koji.GenericError('invalid type for before: %s' % type(before))
             # use the repr() conversion because it retains more precision than the
             # string conversion
             q += """ WHERE EXTRACT(EPOCH FROM time) < %(before)r"""
